/*!
 * @file        apm32f00x_conf.h
 *
 * @brief       This file contains the headers of the interrupt handlers
 *
 * @version     V1.0.1
 *
 * @date        2022-04-11
 *
 * @attention
 *
 *  Copyright (C) 2018-2022 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be usefull and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

#ifndef __APM32F00X_CONF_H
#define __APM32F00X_CONF_H

/* Comment the line below to disable peripheral header file inclusion */
#include "apm32f00x_adc.h"
#include "apm32f00x_buzzer.h"
#include "apm32f00x_eint.h"
#include "apm32f00x_flash.h"
#include "apm32f00x_gpio.h"
#include "apm32f00x_i2c.h"
#include "apm32f00x_iwdt.h"
#include "apm32f00x_misc.h"
#include "apm32f00x_rcm.h"
#include "apm32f00x_spi.h"
#include "apm32f00x_tmr1.h"
#include "apm32f00x_tmr2.h"
#include "apm32f00x_tmr4.h"
#include "apm32f00x_usart.h"
#include "apm32f00x_wakeup.h"
#include "apm32f00x_wupt.h"
#include "apm32f00x_wwdt.h"

#endif /* __APM32F00X_CONF_H */
